summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-08-16 10:00:07 +0000
committerJim Meyering <jim@meyering.net>2006-08-16 10:00:07 +0000
commita8914bd9663959b81caa356ac3fa607c546e3ab9 (patch)
tree881cbc0384c4200e6386848cf65307ca8130c573
parent734afd5f62b9cf399e8373272a5240ca4b31a12d (diff)
downloadcoreutils-a8914bd9663959b81caa356ac3fa607c546e3ab9.tar.xz
2006-08-16 Andreas Schwab <schwab@suse.de>
* tests/cp/acl: Don't use non-portable == operator for test.
-rw-r--r--ChangeLog4
-rwxr-xr-xtests/cp/acl4
2 files changed, 6 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index f837918bf..9203cbe56 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2006-08-16 Andreas Schwab <schwab@suse.de>
+
+ * tests/cp/acl: Don't use non-portable == operator for test.
+
2006-08-16 Jim Meyering <jim@meyering.net>
* tests/ls/stat-dtype: Use stat to test file system type, rather
diff --git a/tests/cp/acl b/tests/cp/acl
index 2bf637c2f..8abb6c1c3 100755
--- a/tests/cp/acl
+++ b/tests/cp/acl
@@ -34,7 +34,7 @@ acl1=`cd a && getfacl file | grep -v ':bin:' | grep -v 'mask::'` \
|| framework_failure=1
cp a/file b/ || fail=1
acl2=`cd b && getfacl file` || framework_failure=1
-test "$acl1" == "$acl2" || fail=1
+test "$acl1" = "$acl2" || fail=1
rm a/file || framework_failure=1
# copy a file, preserving permissions
@@ -43,7 +43,7 @@ setfacl -m user:bin:rw a/file || framework_failure=1
acl1=`cd a && getfacl file` || framework_failure=1
cp -p a/file b/ || fail=1
acl2=`cd b && getfacl file` || framework_failure=1
-test "$acl1" == "$acl2" || fail=1
+test "$acl1" = "$acl2" || fail=1
if test $framework_failure = 1; then
echo 'failure in testing framework'